package org.dromara.payment.thirdPlatform.utils;

public class PaymentAccountBeanBase extends PaymentConfigBase
{
    private String configName;
    private String accountName;
    private String accountId;
    private Long paymentConfigId;

    public String getConfigName() {
        return this.configName;
    }

    public String getAccountName() {
        return this.accountName;
    }

    public String getAccountId() {
        return this.accountId;
    }

    public Long getPaymentConfigId() {
        return this.paymentConfigId;
    }

    public void setConfigName(final String configName) {
        this.configName = configName;
    }

    public void setAccountName(final String accountName) {
        this.accountName = accountName;
    }

    public void setAccountId(final String accountId) {
        this.accountId = accountId;
    }

    public void setPaymentConfigId(final Long paymentConfigId) {
        this.paymentConfigId = paymentConfigId;
    }

    @Override
    public boolean equals(final Object o) {
        if (o == this) {
            return true;
        }
        if (!(o instanceof PaymentAccountBeanBase)) {
            return false;
        }
        final PaymentAccountBeanBase other = (PaymentAccountBeanBase)o;
        if (!other.canEqual(this)) {
            return false;
        }
        final Object this$paymentConfigId = this.getPaymentConfigId();
        final Object other$paymentConfigId = other.getPaymentConfigId();
        Label_0065: {
            if (this$paymentConfigId == null) {
                if (other$paymentConfigId == null) {
                    break Label_0065;
                }
            }
            else if (this$paymentConfigId.equals(other$paymentConfigId)) {
                break Label_0065;
            }
            return false;
        }
        final Object this$configName = this.getConfigName();
        final Object other$configName = other.getConfigName();
        Label_0102: {
            if (this$configName == null) {
                if (other$configName == null) {
                    break Label_0102;
                }
            }
            else if (this$configName.equals(other$configName)) {
                break Label_0102;
            }
            return false;
        }
        final Object this$accountName = this.getAccountName();
        final Object other$accountName = other.getAccountName();
        Label_0139: {
            if (this$accountName == null) {
                if (other$accountName == null) {
                    break Label_0139;
                }
            }
            else if (this$accountName.equals(other$accountName)) {
                break Label_0139;
            }
            return false;
        }
        final Object this$accountId = this.getAccountId();
        final Object other$accountId = other.getAccountId();
        if (this$accountId == null) {
            if (other$accountId == null) {
                return true;
            }
        }
        else if (this$accountId.equals(other$accountId)) {
            return true;
        }
        return false;
    }

    @Override
    protected boolean canEqual(final Object other) {
        return other instanceof PaymentAccountBeanBase;
    }

    @Override
    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        final Object $paymentConfigId = this.getPaymentConfigId();
        result = result * 59 + (($paymentConfigId == null) ? 43 : $paymentConfigId.hashCode());
        final Object $configName = this.getConfigName();
        result = result * 59 + (($configName == null) ? 43 : $configName.hashCode());
        final Object $accountName = this.getAccountName();
        result = result * 59 + (($accountName == null) ? 43 : $accountName.hashCode());
        final Object $accountId = this.getAccountId();
        result = result * 59 + (($accountId == null) ? 43 : $accountId.hashCode());
        return result;
    }

    @Override
    public String toString() {
        return "PaymentAccountBeanBase(configName=" + this.getConfigName() + ", accountName=" + this.getAccountName() + ", accountId=" + this.getAccountId() + ", paymentConfigId=" + this.getPaymentConfigId() + ")";
    }
}
